net.corda.core.serialization

## Class CompositeKeyLeafSerializer

- net.corda.core.serialization.CompositeKeyLeafSerializer

-     public class CompositeKeyLeafSerializer

  For serialising composite keys

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CompositeKeyLeafSerializer` | `INSTANCE` For serialising composite keys

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeKey.Leaf` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.crypto.CompositeKey.Leaf> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, CompositeKey.Leaf obj)`

- - ### Field Detail

    - #### INSTANCE

          public static CompositeKeyLeafSerializer INSTANCE

      For serialising composite keys

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            CompositeKey.Leaf obj)

    - #### read

          public CompositeKey.Leaf read(com.esotericsoftware.kryo.Kryo kryo,
                                        com.esotericsoftware.kryo.io.Input input,
                                        java.lang.Class<net.corda.core.crypto.CompositeKey.Leaf> type)